<?php
/**
 * Install
 *
 * Yii module to Intall new Project
 *
 * @version 1.0
 * @author Shiv Charan Panjeta <shiv@toxsl.com> <shivcharan.panjeta@outlook.com>
 */
/*
 * DO NOT CHANGE THE SPACES IN THE COMMENTED CODE
 * if (! file_exists ( DB_CONFIG_FILE_PATH ) && ! strstr ( $_SERVER ['REQUEST_URI'], 'install' )) {
 * header ( 'Location: install' );
 * }
 */
class DefaultController extends Controller {
	
	/**
	 *
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 *      using two-column layout. See 'protected/views/layouts/column2.php'.
	 */

	public function execSqlFile($sqlFile) {
		$message = "file not found";
		
		if (file_exists ( $sqlFile )) {
			$sqlArray = file_get_contents ( $sqlFile );
			
			$cmd = Yii::app ()->db->createCommand ( $sqlArray );
			try {
				$cmd->execute ();
				$message = 'ok';
			} catch ( CDbException $e ) {
				$message = $e->getMessage ();
			}
		}
		return $message;
	}
	
	/*
	 * CREATE DATABASE
	 * STEP 3
	 * CreateDb
	 */
	public function adddb($sqlFile) {
		try {
			$config = include (DB_CONFIG_FILE_PATH);
			$config ['class'] = 'CDbConnection';
			
			$db = Yii::createComponent ( $config );
			
			Yii::app ()->setComponent ( 'db', $db );
			
			$message = "file not found";
			
			if (file_exists ( $sqlFile )) {
				$sqlArray = file_get_contents ( $sqlFile );
				
				$cmd = Yii::app ()->db->createCommand ( $sqlArray );
				try {
					$cmd->execute ();
					return 'ok';
				} catch ( CDbException $e ) {
					return  $e->getMessage ();
				}
			}
			return $message;
		} catch ( CException $e ) {
			return $e->getMessage ();
		}
	}
	
	/*
	 * STEP 2
	 * CONFIGURE THE DATABASE FILE
	 * Setupdb
	 */
	public function actionStep2() {
		$model = new SetupDb ();
		
		$model->db_name = Yii::app ()->name;
		
		$failed = false;
		
		if (isset ( $_POST ['SetupDb'] )) {
			
			$model->setAttributes ( $_POST ['SetupDb'] );
			
			$db = Yii::createComponent ( array (
					'class' => 'CDbConnection',
					'connectionString' => "mysql:host=$model->host;dbname=$model->db_name",
					'emulatePrepare' => true,
					'username' => $model->username,
					'password' => $model->password,
					'charset' => 'utf8',
					'tablePrefix' => $model->table_prefix,
					'enableProfiling' => true,
					'schemaCachingDuration' => (60 * 60 * 24),
					'queryCachingDuration' => (60 * 60 * 24) 
			) );
			try {
				Yii::app ()->setComponent ( 'db', $db );
			} catch ( Exception $e ) {
				// $model->addError('dbname', 'Your Database Detail is incorrect.');
				$model->addError ( 'dbname', $e->getMessage () );
				$failed = true;
			}
			
			if (! $failed) {
				
				$text_file = "<?php
					return array( 
						'connectionString' => 'mysql:host=$model->host;dbname=$model->db_name',
						'emulatePrepare' => true,
						'username' => '$model->username',
						'password' => '$model->password',
						'charset' => 'utf8',
						'tablePrefix' => '$model->table_prefix',
						'enableProfiling' => true,
						'schemaCachingDuration' => (60 * 60 * 24),
					    'queryCachingDuration'=> (60 * 60 * 24) ,
					);";
				
				/*
				 * $file = fopen(DB_CONFIG_FILE_PATH,'w+');
				 * file_put_contents($file, $text_file);
				 * fclose($file);
				 */
				file_put_contents ( DB_CONFIG_FILE_PATH, $text_file );
				$message = self::adddb ( __DIR__ . '/../db/install.sql' );
				if ($message == 'ok') {
				Yii::app ()->user->setFlash ( 'success', "Installation successful!" );	
					$this->redirect ( array (
					'/'
					) );
				} else {
					unlink(DB_CONFIG_FILE_PATH);
					Yii::app ()->user->setFlash ( 'error', $message );
				}
			}
		}
		$this->render ( 'step2', array (
				'model' => $model 
		) );
	}
	/*
	 * STEP 1
	 * Requirement Check
	 * Index
	 */
	public function actionIndex() {
		// $this->layout = '//layouts/column1';
		$this->render ( 'index' );
	}
}
